
using System;
//using System.Collections;
//using org.bouncycastle.io;
using org.bouncycastle.asn1;

namespace org.bouncycastle.asn1.x509
{
	public class DistributionPointName: DEREncodable
	{
		DEREncodable        name;
		int                 type;

		public static readonly int FULL_NAME = 0;
		public static readonly int NAME_RELATIVE_TO_CRL_ISSUER = 1;

		public DistributionPointName(
			int             type,
			DEREncodable    name)
		{
			this.type = type;
			this.name = name;
		}

		/**
		 * <pre>
		 * DistributionPointName ::= CHOICE {
		 *     fullName                 [0] GeneralNames,
		 *     nameRelativeToCRLIssuer  [1] RelativeDistinguishedName
		 * }
		 * </pre>
		 */
		public DERObject getDERObject()
		{
			if (typeof(ASN1Sequence).IsInstanceOfType(name))
			{
				return new DERTaggedObject(true, type, name);
			}
			else
			{
				return new DERTaggedObject(false, type, name);
			}
		}
	}
}