using System;
using org.bouncycastle.crypto;
using org.bouncycastle.math;

namespace org.bouncycastle.crypto.parameters
{
	public class RSAKeyParameters : AsymmetricKeyParameter
	{
		private BigInteger      modulus;
		private BigInteger      exponent;

		public RSAKeyParameters(
			bool     isPrivate,
			BigInteger  modulus,
			BigInteger  exponent) : base(isPrivate)
		{
			this.modulus = modulus;
			this.exponent = exponent;
		}   

		public BigInteger getModulus()
		{
			return modulus;
		}

		public BigInteger getExponent()
		{
			return exponent;
		}
	}

}